You are not logged in.

#1 2012-09-19 07:22:55

Jompa89
Member
From: Bergen, Norway
Registered: 2012-06-07
Posts: 13
Website

[Solved] Lua error

I bought the Humble Indie Bundle 6 the other day, mainly because of Torchlight. But when I try to install it from the torchlight.sh file I get this error after a while:

Error: Lua error detected: Failed to create package: No space left on device

I don't understand where there is not enough space. I have 40 GB of free space on my home partition and 2 GB free on my root partition. I have tried the file on another system where it worked fine, so there is no problem with the file itself. Any suggestions of what can solve this problem?

Here is my terminal as well:

Verifying archive integrity... All good.
Uncompressing Installer for Torchlight...................
Uncompressing sub archive...........................................................................................................................
Collecting info for this system...
Operating system: linux
CPU Arch: x86
Nixstaller version 0.5.2, Copyright (C) 2006 - 2011 of Rick Helmus
Nixstaller comes with ABSOLUTELY NO WARRANTY.
Nixstaller is free software, and you are welcome to redistribute it
under certain conditions; see the about section for details.

(process:3950): Gtk-WARNING **: Locale not supported by C library.
	Using the fallback 'C' locale.

Last edited by Jompa89 (2012-09-19 21:58:01)


Arch convert in 2012

Offline

#2 2012-09-19 19:21:35

ssns
Member
Registered: 2012-09-19
Posts: 1

Re: [Solved] Lua error

Hi, i buy Humble Indie Bundle 6, and i have no problem to install Torchlight (I have not trying the other game of this bundle).
I intall the game with the command   ./Torchlight-2012-09-18.sh and i have no error with 1.5GB  of free on the root partition and 35GB free on my home.
For your problem it's maybe the size of your  /temp (it's on swap or on RAM).
Try to reboot your computer to purge this one, otherwise if you have not 500MB of free on /temp i think you can modify this one on /etc/fstab

Offline

#3 2012-09-19 21:57:25

Jompa89
Member
From: Bergen, Norway
Registered: 2012-06-07
Posts: 13
Website

Re: [Solved] Lua error

Thanks, it was the /tmp folder that was the problem. By commenting out the tmpfs line in fstab (as mentioned in this thread: Resize /tmp problem)  I managed to install the game.


Arch convert in 2012

Offline

#4 2013-04-01 23:04:41

yanglifu90
Member
Registered: 2013-03-05
Posts: 2

Re: [Solved] Lua error

I am having the same problem. There is no /tmp in /etc/fstab in my Fedora 18 machine. And there is 1.3 GB in /tmp.

Jompa89 wrote:

Thanks, it was the /tmp folder that was the problem. By commenting out the tmpfs line in fstab (as mentioned in this thread: Resize /tmp problem)  I managed to install the game.

Last edited by yanglifu90 (2013-04-01 23:06:54)

Offline

#5 2013-04-02 03:28:44

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 4,961

Re: [Solved] Lua error

This forum is for support of ArchLinux only:
https://wiki.archlinux.org/index.php/Fo … pport_ONLY

And you should not bump old, solved threads:
https://wiki.archlinux.org/index.php/Fo … Bumping.22

Offline

#6 2013-04-02 03:31:56

ewaller
Administrator
From: Pasadena, CA
Registered: 2009-07-13
Posts: 12,921

Re: [Solved] Lua error

Closing.

Both of the points above are correct.

Last edited by ewaller (2013-04-02 03:32:33)


Nothing is too wonderful to be true, if it be consistent with the laws of nature -- Michael Faraday
Like you, I have no idea what you are doing, but I am pretty sure it is wrong...Jasonwryan
----
How to Ask Questions the Smart Way

Offline

Board footer

Powered by FluxBB